import { EventEmitter } from "../../stencil.core";
import { TabOption } from "../../utils/types/TabOption";
export declare class CcTabsTags {
    color?: "primary" | "secondary";
    options?: TabOption[];
    _options: TabOption[];
    changeOption: EventEmitter<TabOption>;
    updateOptions(index: number): void;
    handleOptionClick: (index: number) => () => void;
    componentWillLoad(): void;
    render(): any;
}
